Package org.apache.ignite.internal.util.nio

## Class GridNioBackPressureControl

- java.lang.Object
- - org.apache.ignite.internal.util.nio.GridNioBackPressureControl

    public class GridNioBackPressureControl
    extends Object

Utility class that allows to ignore back-pressure control for threads that are processing messages.

### Constructor Summary

Constructors
`GridNioBackPressureControl()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `threadProcessingMessage()`
`static void` `threadProcessingMessage​(boolean processing, @Nullable IgniteRunnable tracker)`
`static @Nullable IgniteRunnable` `threadTracker()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridNioBackPressureControl

    public GridNioBackPressureControl()

### Method Detail

#### threadProcessingMessage

    public static boolean threadProcessingMessage()

Returns:
  Flag indicating whether current thread is processing message.

#### threadProcessingMessage

    public static void threadProcessingMessage​(boolean processing,
                                               @Nullable
                                               @Nullable IgniteRunnable tracker)

Parameters:
  `processing` - Flag indicating whether current thread is processing message.
  `tracker` - Thread local back pressure tracker of messages, associated with one connection.

#### threadTracker

    @Nullable
    public static @Nullable IgniteRunnable threadTracker()

Returns:
  Thread local back pressure tracker of messages, associated with one connection.